extends HBoxContainer

@onready var buttons : Array[Node] = get_children()

func disable_buttons() -> void:
	## Disable all buttons
	for button : Button in buttons:
		button.disabled = true

	visible = false

func enable_buttons() -> void:
	## Enable all buttons
	for button : Button in buttons:
		button.disabled = false

	visible = true

func reset_button_focus() -> void:
	## Reset focus on all buttons
	for button : Button in buttons:
		button.release_focus()
	